import React from 'react';
import { useDispatch, useSelector } from 'react-redux';

export default function MyInput() {
  const dispatch = useDispatch();
  const input = useSelector(state => state.input);

  const handleAdd = () => {
    if (input.trim()) {
      dispatch({ type: 'list/add', payload: input });
      dispatch({ type: 'input/clear' });
    }
  };

  return (
    <div>
      <input
        type="text"
        value={input}
        onChange={(e) => dispatch({ type: 'input/update', payload: e.target.value })}
        style={{
          width: '100%',
          padding: '10px',
          fontSize: '18px',
          marginBottom: '10px',
          border: '2px solid #0077cc',
          borderRadius: '6px'
        }}
      />
      <button
        onClick={handleAdd}
        style={{
          backgroundColor: 'green',
          color: 'white',
          padding: '12px',
          width: '100%',
          fontSize: '20px',
          fontWeight: 'bold',
          borderRadius: '10px',
          border: 'none',
          boxShadow: '0 4px 6px rgba(0, 0, 0, 0.1)'
        }}
      >
        Name hinzufügen
      </button>
    </div>
  );
}
